package com.mortals.xhx.daemon.task;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.xhx.module.matter.service.EventImplementationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 同步综窗事项
 */
@Slf4j
@Service("SyncImplementationTask")
public class SyncImplementationTaskImpl implements ITaskExcuteService {

    @Autowired
    private EventImplementationService eventImplementationService;

    @Override
    public void excuteTask(ITask task) throws AppException {
        eventImplementationService.syncEventImplementation();
    }

    @Override
    public void stopTask(ITask task) throws AppException {

    }
}
