package com.mortals.xhx.busiz.req;

import com.mortals.xhx.busiz.BaseApiReq;
import lombok.Data;

import java.util.List;

/**
 * 事项查询
 *
 * @author: zxfei
 * @date: 2023/10/30 16:50
 */
@Data
public class ComplexImplementationReq extends BaseApiReq {

    private String eventObjectType;

    private String crossFlag;

    private String implementName;

    private String eventId;

    private List<String> itemsIds;

    private List<String> eventIdList;

    private String dict;

    /**
     * 申报来源1, 自助端申报 2, 移动端申报 3,第三方申报
     */
    private Integer applyType=1;

}
